Create Dynamic Config Review
Create Dynamic Config Review
https://statsigapi.net/console/v1/dynamic_configs/{id}/reviewsAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
idstringrequiredBody
application/jsondescriptionstringrequiredHuman-readable description of the proposed change.
min length: 1max length: 2000reviewer_idsstring[]User IDs to request review from.
[]reviewer_group_idsstring[]Reviewer group IDs to request review from.
[]changeobjectrequiredThe proposed change. Provide exactly one change slot: the content bundle (rules and/or default_value) or one verb field.
Show child attributes
rulesobject[]Proposed full rule set for the dynamic config. Same shape as the DC update contract.
namestringrequiredThe name of this rule.
passPercentagenumberOf the users that meet the conditions of this rule, what percent should return true.
min: 0max: 100conditionsobject[]requiredAn array of Condition objects.
targetValueoneOfnullablestring[]number[]stringnumberoperatorstringfieldstringnullablecustomIDstringnullabletypestringrequiredapp_versionbrowser_namebrowser_versioncountrycustom_fieldemailenvironment_tierfails_gatefails_segmentip_addresslocaleos_nameos_versionpasses_gatepasses_segmentpublictimeunit_iduser_iduser_agenturljavascriptdevice_modeltarget_appexperiment_groupenvironmentsstring[]nullableidstringThe Statsig ID of this rule.
baseIDstringThe base ID of this rule, i.e. without any added metadata. Will remain the exact same throughout
returnValueobjectcompletedAutomatedRolloutsobject[]Read-only: Automated rollout phases that have already completed.
timenumberpassPercentnumberrequiredpendingAutomatedRolloutsobject[]Read-only: Automated rollout phases that are scheduled but not yet complete.
timenumberpassPercentnumberrequiredreturnValueJson5stringvariantsobject[]idstringnamestringrequiredpassPercentagenumberrequiredmin: 0max: 100returnValueobjectreturnValueJson5stringdefault_valueobjectProposed default value for the dynamic config as a JSON object.
is_enabledbooleanProposed enabled state for the dynamic config. An explicit target, not a toggle.
is_archivedbooleanProposed archived state for the dynamic config. true archives, false unarchives.
deletebooleanDelete the dynamic config. Set to true.
trueresaltbooleanRe-randomize the dynamic config's salt. Set to true.
truedisable_reviews_locallybooleanStop requiring review on this dynamic config. Set to true.
trueResponse
application/jsonWas this helpful?